Skip to main content

Create a property definition

POST 

/nevisidm/api/core/v1/properties

Since: 8.2605.0, 9.2605.0

Required permission(s): AccessControl.PropertyCreate

Creates a new property definition. The property is added to the property cache and becomes visible in the nevisIDM GUI.

STRING type properties support optional regex validation and maximum length constraints. ENUM type properties require a list of allowed values and do not support regex or length constraints.

Request

Body

required
    name stringrequired

    Possible values: non-empty

    Name of the property. Must be unique within the same scope and client.

    description string

    Description of the property.

    type stringrequired

    Possible values: [ENUM, STRING]

    Type of the property.

    scope stringrequired

    Possible values: [APPLICATION_GLOBAL, UNIT_GLOBAL, PROFILE_GLOBAL, PROFILE_FOR_APPLICATION_GLOBAL, PROFILE_FOR_APPLICATION, ROLE_FOR_APPLICATION, USER_GLOBAL, ENTERPRISE_ROLE_GLOBAL, CREDENTIAL_CERTIFICATE_GLOBAL, CREDENTIAL_GENERIC_GLOBAL, CREDENTIAL_MOBILE_SIGNATURE_GLOBAL, CREDENTIAL_SAML_FEDERATION_GLOBAL, CREDENTIAL_SECURITY_QUESTIONS_GLOBAL]

    Scope of the property, determining which entity type it belongs to.

    encrypted boolean

    Indicates if the property values should be encrypted. Default is false.

    propagated boolean

    Indicates if the property values should be propagated to other systems. Default is false.

    mandatoryOnGui boolean

    Indicates if the property is mandatory on the GUI. Default is false.

    stringMaxLen int32

    Maximum length for string values. Only applicable for STRING type properties.

    stringRegex string

    Regular expression pattern to validate string values. Only applicable for STRING type properties.

    accessCreate string

    Possible values: [READ_WRITE, READ_ONLY, OFF]

    Access level for creating the property value. Default is READ_WRITE.

    accessModify string

    Possible values: [READ_WRITE, READ_ONLY, OFF]

    Access level for modifying the property value. Default is READ_WRITE.

    uniquenessScope string

    Possible values: [ABSOLUTE, ABSOLUTE_USER, RELATIVE_UNIT, NONE]

    Uniqueness scope of the property. Defines how property values must be unique. If not set, values have no uniqueness constraint.

    guiPrecedence int32

    Precedence of the property on the GUI. Lower values are displayed first. Default is 0.

    displayName object

    Language-dependent display name of the property. Keys: EN, DE, FR, IT.

    property name* string
    applicationExtId string

    External ID of the application this property belongs to. Required for scopes PROFILE_FOR_APPLICATION and ROLE_FOR_APPLICATION.

    clientExtId string

    External ID of the client this property belongs to. Only applicable for scopes that allow client association.

    allowedValues string[]

    List of allowed values for ENUM type properties. Required when type is ENUM.

Responses

Property created successfully

Response Headers
  • Location any

    URL of the created resource

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    propertyId int64

    Unique identifier of the property.

    name string

    Name of the property. Must be unique within the same scope and client.

    description string

    Description of the property.

    type string

    Possible values: [ENUM, STRING]

    Type of the property.

    scope string

    Possible values: [APPLICATION_GLOBAL, UNIT_GLOBAL, PROFILE_GLOBAL, PROFILE_FOR_APPLICATION_GLOBAL, PROFILE_FOR_APPLICATION, ROLE_FOR_APPLICATION, USER_GLOBAL, ENTERPRISE_ROLE_GLOBAL, CREDENTIAL_CERTIFICATE_GLOBAL, CREDENTIAL_GENERIC_GLOBAL, CREDENTIAL_MOBILE_SIGNATURE_GLOBAL, CREDENTIAL_SAML_FEDERATION_GLOBAL, CREDENTIAL_SECURITY_QUESTIONS_GLOBAL]

    Scope of the property, determining which entity type it belongs to.

    encrypted boolean

    Indicates if the property values are encrypted.

    propagated boolean

    Indicates if the property values are propagated to other systems.

    mandatoryOnGui boolean

    Indicates if the property is mandatory on the GUI.

    stringMaxLen int32

    Maximum length for string values. Only applicable for STRING type properties.

    stringRegex string

    Regular expression pattern to validate string values. Only applicable for STRING type properties.

    accessCreate string

    Possible values: [READ_WRITE, READ_ONLY, OFF]

    Access level for creating the property value.

    accessModify string

    Possible values: [READ_WRITE, READ_ONLY, OFF]

    Access level for modifying the property value.

    uniquenessScope string

    Possible values: [ABSOLUTE, ABSOLUTE_USER, RELATIVE_UNIT, NONE]

    Uniqueness scope of the property. Defines how property values must be unique.

    guiPrecedence int32

    Precedence of the property on the GUI. Lower values are displayed first.

    displayName object

    Language-dependent display name of the property. Keys: EN, DE, FR, IT.

    property name* string
    applicationExtId string

    External ID of the application this property belongs to. Only applicable for scopes PROFILE_FOR_APPLICATION and ROLE_FOR_APPLICATION.

    clientExtId string

    External ID of the client this property belongs to. If not set, the property is client-independent.

    allowedValues object[]

    List of allowed values for ENUM type properties.

  • Array [
  • allowedValueId int64

    Unique identifier of the allowed value.

    value string

    The allowed value.

  • ]
Loading...